summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ponce <matteo.bernardini _at_ sns.it>2010-05-13 00:59:37 +0200
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 00:59:37 +0200
commitc2df0a354dd8c5864e60b7bb18720e3c568568de (patch)
tree1bc2741e351370abebbe016e95819eaac3d02905
parentb38d1bf8411168752796c302442de572cf46d740 (diff)
downloadslackbuilds-c2df0a354dd8c5864e60b7bb18720e3c568568de.tar.gz
slackbuilds-c2df0a354dd8c5864e60b7bb18720e3c568568de.tar.xz
multimedia/dvdstyler: Added to 13.0 repository
-rw-r--r--multimedia/dvdstyler/README7
-rw-r--r--multimedia/dvdstyler/doinst.sh4
-rw-r--r--multimedia/dvdstyler/dvdstyler.SlackBuild84
-rw-r--r--multimedia/dvdstyler/dvdstyler.info10
-rw-r--r--multimedia/dvdstyler/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/multimedia/dvdstyler/README b/multimedia/dvdstyler/README
new file mode 100644
index 0000000000..1ecc941f5c
--- /dev/null
+++ b/multimedia/dvdstyler/README
@@ -0,0 +1,7 @@
+DVDStyler is a cross-platform free DVD authoring application for the creation
+of professional-looking DVDs. It allows not only burning of video files on DVD
+that can be played practically on any standalone DVD player, but also creation
+of individually designed DVD menus.
+
+This requires dvdauthor, ffmpeg, libavc1394, libmspack, libquicktime,
+mjpegtools, mpgtx, wxPython and wxsvg, available at SlackBuilds.org
diff --git a/multimedia/dvdstyler/doinst.sh b/multimedia/dvdstyler/doinst.sh
new file mode 100644
index 0000000000..4e8ba7071d
--- /dev/null
+++ b/multimedia/dvdstyler/doinst.sh
@@ -0,0 +1,4 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/multimedia/dvdstyler/dvdstyler.SlackBuild b/multimedia/dvdstyler/dvdstyler.SlackBuild
new file mode 100644
index 0000000000..281533deeb
--- /dev/null
+++ b/multimedia/dvdstyler/dvdstyler.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for dvdstyler
+
+# Written by Ponce <matteo.bernardini _at_ sns.it>
+
+PRGNAM=dvdstyler
+SPRGNAM=DVDStyler
+VERSION=${VERSION:-1.8.0b3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SPRGNAM-$VERSION
+tar xvf $CWD/$SPRGNAM-$VERSION.tar.bz2
+cd $SPRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+install -D -m0644 data/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+mkdir $PKG/usr/share/$PRGNAM/templates
+cp -a templates/*dvdt templates/*png $PKG/usr/share/$PRGNAM/templates
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+
+cp -a AUTHORS COPYING ChangeLog INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/dvdstyler/dvdstyler.info b/multimedia/dvdstyler/dvdstyler.info
new file mode 100644
index 0000000000..61856ddfca
--- /dev/null
+++ b/multimedia/dvdstyler/dvdstyler.info
@@ -0,0 +1,10 @@
+PRGNAM="dvdstyler"
+VERSION="1.0.8b2"
+HOMEPAGE="http://www.dvdstyler.org/"
+DOWNLOAD="http://downloads.sourceforge.net/dvdstyler/DVDStyler-1.8.0b3.tar.bz2"
+MD5SUM="ab797becfb1c8eaa834125e201cb704c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Ponce"
+EMAIL="matteo.bernardini _at_ sns.it"
+APPROVED="Erik Hanson"
diff --git a/multimedia/dvdstyler/slack-desc b/multimedia/dvdstyler/slack-desc
new file mode 100644
index 0000000000..3cbed6d4c8
--- /dev/null
+++ b/multimedia/dvdstyler/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dvdstyler: DVDStyler (dvd authoring gui)
+dvdstyler:
+dvdstyler: DVDStyler is a cross-platform free DVD authoring application that
+dvdstyler: makes possible for video enthusiasts to create professional-looking
+dvdstyler: DVDs.
+dvdstyler: It allows not only burning of video files on DVD that can be played
+dvdstyler: practically on any standalone DVD player, but also creation of
+dvdstyler: individually designed DVD menus.
+dvdstyler:
+dvdstyler: homepage: http://www.dvdstyler.org/
+dvdstyler: